version: "3.7"

services:
  backend:
    build:
      context: ./services/backend
      dockerfile: Dockerfile
    entrypoint: ["/usr/src/app/entrypoint.sh"]
    volumes:
      - ./services/backend:/usr/src/app
    ports:
      - 5001:5000
    environment:
      - FLASK_ENV=development
      - APP_SETTINGS=project.config.DevelopmentConfig
      - DATABASE_URL=postgresql://postgres:postgres@database:5432/database_dev # new
      - DATABASE_TEST_URL=postgresql://postgres:postgres@database:5432/database_test # new
    depends_on: # new
      - database

  database: # new
    build:
      context: ./services/database
      dockerfile: Dockerfile
    expose:
      - 5432
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres

  client:
    build:
      context: ./services/client
      dockerfile: Dockerfile
    volumes:
      - "./services/client:/usr/src/app"
      - "/usr/src/app/node_modules"
    ports:
      - 3007:3000
    environment:
      - NODE_ENV=development
      - REACT_APP_USERS_SERVICE_URL=http://localhost:5001
      - CHOKIDAR_USEPOLLING=true
    depends_on:
      - backend
